org.appng.xml.platform

## Class Platform

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Platform

- All Implemented Interfaces:
    Serializable

      public class Platform
      extends BaseObject
      implements Serializable

  The root element of an appNG target XML document.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PlatformConfig` | `config`
    `protected Content` | `content`
    `protected Navigation` | `navigation`
    `protected Subject` | `subject`
    `protected String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Platform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PlatformConfig` | `getConfig()` Gets the value of the config property.
    `Content` | `getContent()` Gets the value of the content property.
    `Navigation` | `getNavigation()` Gets the value of the navigation property.
    `Subject` | `getSubject()` Gets the value of the subject property.
    `String` | `getVersion()` Gets the value of the version property.
    `void` | `setConfig(PlatformConfig value)` Sets the value of the config property.
    `void` | `setContent(Content value)` Sets the value of the content property.
    `void` | `setNavigation(Navigation value)` Sets the value of the navigation property.
    `void` | `setSubject(Subject value)` Sets the value of the subject property.
    `void` | `setVersion(String value)` Sets the value of the version property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected PlatformConfig config

    - #### subject

          protected Subject subject

    - #### navigation

          protected Navigation navigation

    - #### content

          protected Content content

    - #### version

          protected String version

  - ### Constructor Detail

    - #### Platform

          public Platform()

  - ### Method Detail

    - #### getConfig

          public PlatformConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `PlatformConfig`

    - #### setConfig

          public void setConfig(PlatformConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `PlatformConfig`

    - #### getSubject

          public Subject getSubject()

      Gets the value of the subject property.
      Returns:
        possible object is `Subject`

    - #### setSubject

          public void setSubject(Subject value)

      Sets the value of the subject property.
      Parameters:
        `value` - allowed object is `Subject`

    - #### getNavigation

          public Navigation getNavigation()

      Gets the value of the navigation property.
      Returns:
        possible object is `Navigation`

    - #### setNavigation

          public void setNavigation(Navigation value)

      Sets the value of the navigation property.
      Parameters:
        `value` - allowed object is `Navigation`

    - #### getContent

          public Content getContent()

      Gets the value of the content property.
      Returns:
        possible object is `Content`

    - #### setContent

          public void setContent(Content value)

      Sets the value of the content property.
      Parameters:
        `value` - allowed object is `Content`

    - #### getVersion

          public String getVersion()

      Gets the value of the version property.
      Returns:
        possible object is `String`

    - #### setVersion

          public void setVersion(String value)

      Sets the value of the version property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.